Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.timestamping.protocol.v2
Class ErrorType

    java.lang.Object
      be.fgov.ehealth.timestamping.protocol.v2.ErrorType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-05-30T08:53:58+02:00",
               comments="JAXB RI v2.2.11")
    public class ErrorType

extends Object
implements Serializable

error code 0 : OK > 0 : error and the type if filled in

Java class for ErrorType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ErrorType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Number" type="{http://www.w3.org/2001/XMLSchema}integer"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ErrorType()`

Method Summary
`BigInteger` | `getNumber()` Gets the value of the number property.
`String` | `getType()` Gets the value of the type property.
`void` | `setNumber(BigInteger value)` Sets the value of the number property.
`void` | `setType(String value)` Sets the value of the type property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorType

    public ErrorType()

Method Detail

### getType

    public String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

### getNumber

    public BigInteger getNumber()

  Gets the value of the number property.

  Returns:
    possible object is `BigInteger`

### setNumber

    public void setNumber(BigInteger value)

  Sets the value of the number property.

  Parameters:
    `value` - allowed object is `BigInteger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.